# Documentation

Swinject is a lightweight dependency injection framework for Swift apps. It helps your app split into loosely-coupled components, which can be maintained and tested more easily. Swinject <a name="pure-swift-type-support">supports pure Swift types</a>, and is powered by the Swift generic type system and first class functions to simply define dependencies of types in your app.

## Table of Contents

### Basics

1. [DI Container](DIContainer.md)
2. [Injection Patterns](InjectionPatterns.md)
3. [Circular Dependencies](CircularDependencies.md)
4. [Object Scopes](ObjectScopes.md)
5. [Misc](Misc.md)

### Advanced Features

1. [Container Hierarchy](ContainerHierarchy.md)
2. [Properties](Properties.md)
3. [Modularizing Service Registration](Assembler.md)
4. [Thread Safety](ThreadSafety.md)

### UI Features

1. [Storyboard](Storyboard.md)
